Bug 1087450 - icu4j: FTBFS with Java 8
Summary: icu4j: FTBFS with Java 8
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: icu4j
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1106794
TreeView+ depends on / blocked
 
Reported: 2014-04-14 10:48 UTC by Mikolaj Izdebski
Modified: 2014-11-17 20:41 UTC (History)
7 users (show)

Fixed In Version: icu4j-54.1.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 17:22:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-04-14 10:48:30 UTC
Description of problem:
Package icu4j fails to build with Java 8.

Version-Release number of selected component (if applicable):
52.1-2

A patch for this has just beed commited in Debian:

http://anonscm.debian.org/gitweb/?p=pkg-java/icu4j-4.4.git;a=commitdiff;h=9f7d06f

Additional info:

    [javac] Compiling 14 source files to /builddir/build/BUILD/icu4j-52.1/tools/build/out/bin 
    [javac] /builddir/build/BUILD/icu4j-52.1/tools/build/src/com/ibm/icu/dev/tool/docs/ICUTaglet.java:17: error: cannot find symbol 
    [javac] import com.sun.tools.doclets.internal.toolkit.taglets.TagletOutput; 
    [javac]                                                      ^ 
    [javac]   symbol:   class TagletOutput 
    [javac]   location: package com.sun.tools.doclets.internal.toolkit.taglets 
    [javac] /builddir/build/BUILD/icu4j-52.1/tools/build/src/com/ibm/icu/dev/tool/docs/ICUTaglet.java:104: error: cannot find symbol 
    [javac]     public TagletOutput getTagletOutput(Tag tag, TagletWriter writer) 
    [javac]            ^ 
    [javac]   symbol:   class TagletOutput 
    [javac]   location: class ICUTaglet 
    [javac] /builddir/build/BUILD/icu4j-52.1/tools/build/src/com/ibm/icu/dev/tool/docs/ICUTaglet.java:112: error: cannot find symbol 
    [javac]     public TagletOutput getTagletOutput(Doc holder, TagletWriter writer) 
    [javac]            ^ 
    [javac]   symbol:   class TagletOutput 
    [javac]   location: class ICUTaglet 
    [javac] /builddir/build/BUILD/icu4j-52.1/tools/build/src/com/ibm/icu/dev/tool/docs/ICUTaglet.java:107: error: cannot find symbol 
    [javac]         TagletOutput out = writer.getTagletOutputInstance(); 
    [javac]         ^ 
    [javac]   symbol:   class TagletOutput 
    [javac]   location: class ICUTaglet 
    [javac] /builddir/build/BUILD/icu4j-52.1/tools/build/src/com/ibm/icu/dev/tool/docs/ICUTaglet.java:107: error: cannot find symbol 
    [javac]         TagletOutput out = writer.getTagletOutputInstance(); 
    [javac]                                  ^ 
    [javac]   symbol:   method getTagletOutputInstance() 
    [javac]   location: variable writer of type TagletWriter 
    [javac] /builddir/build/BUILD/icu4j-52.1/tools/build/src/com/ibm/icu/dev/tool/docs/ICUTaglet.java:115: error: cannot find symbol 
    [javac]         TagletOutput out = writer.getTagletOutputInstance(); 
    [javac]         ^ 
    [javac]   symbol:   class TagletOutput 
    [javac]   location: class ICUTaglet 
    [javac] /builddir/build/BUILD/icu4j-52.1/tools/build/src/com/ibm/icu/dev/tool/docs/ICUTaglet.java:115: error: cannot find symbol 
    [javac]         TagletOutput out = writer.getTagletOutputInstance(); 
    [javac]                                  ^ 
    [javac]   symbol:   method getTagletOutputInstance() 
    [javac]   location: variable writer of type TagletWriter 
    [javac] Note: Some input files use unchecked or unsafe operations. 
    [javac] Note: Recompile with -Xlint:unchecked for details. 
    [javac] 7 errors

Comment 1 Yaakov Selkowitz 2014-06-13 21:45:21 UTC
Alternatively, the upstream commit which removed this API may lend some clues as how to port the code:

http://hg.openjdk.java.net/jdk8/jdk8/langtools/rev/ca8808c88f94

Comment 2 Mat Booth 2014-11-17 17:22:06 UTC
Fixed in rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=593915


Note You need to log in before you can comment on or make changes to this bug.